mod database;
pub use database::*;

mod dictionary;
pub use dictionary::*;

mod server;
pub use server::*;

mod word;
pub use word::*;

fn main() {
    const PORT: u16 = 8080;
    let mut server = Server::new(PORT)
        .unwrap_or_else(|_| panic!("Failed to start server at port {PORT}"));
    server.run();
}
